=== debian/changelog ===
skesa (2.3.0-2) unstable; urgency=medium

  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Mon, 19 Aug 2019 14:27:03 +0200

skesa (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #932294)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 13:55:35 +0200
