=== debian/control ===
Source: skesa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libboost-dev,
               libboost-chrono-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-timer-dev,
               libncbi-vdb-dev,
               libngs-sdk-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/skesa
Vcs-Git: https://salsa.debian.org/med-team/skesa.git
Homepage: https://github.com/ncbi/SKESA

Package: skesa
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: strategic Kmer extension for scrupulous assemblies
 SKESA is a DeBruijn graph-based de-novo assembler designed for
 assembling reads of microbial genomes sequenced using Illumina.
 Comparison with SPAdes and MegaHit shows that SKESA produces assemblies
 that have high sequence quality and contiguity, handles low-level
 contamination in reads, is fast, and produces an identical assembly for
 the same input when assembled multiple times with the same or different
 compute resources. SKESA has been used for assembling over 272,000 read
 sets in the Sequence Read Archive at NCBI and for real-time pathogen
 detection.
