=== debian/watch ===
version=4

https://github.com/ncbi/SKESA/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
