=== debian/changelog ===
skesa (2.4.0-7) unstable; urgency=medium

  [ Andreas Tille ]
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Helmut Grohne ]
  * Do not use variable CC for the C++ compiler
    Closes: #1112688

 -- Andreas Tille <tille@debian.org>  Sat, 20 Dec 2025 23:12:25 +0100

skesa (2.4.0-6) unstable; urgency=medium

  * debian/patches/hardening.patch: Reinstate use of dpkg-supplied CFLAGS.
    The addition accidentally got lost in the course of updating
    use_debian_packaged_ngs-sdk.patch.
  * debian/patches/no_sse4.2.patch (new): Don't use SSE 4.2.  It's a
    baseline violation on x86, and entirely unavailable elsewhere.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 Jan 2023 13:35:16 -0500

skesa (2.4.0-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Cleanup d/rules

  [ Aaron M. Ucko ]
  * Build against ncbi-vdb 3.x and sra-sdk 3.x (which subsumed ngs-sdk).
  * link_boost_dynamically.patch (new): Drop upstream linkage override.
  * Add myself to Uploaders.
  * Standards-Version: 4.6.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Jan 2023 18:03:43 -0500

skesa (2.4.0-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 22:13:39 +0100

skesa (2.4.0-3) unstable; urgency=medium

  * Versioned Build-Depends: libncbi-vdb-dev (>= 2.11.2+dfsg-2)
    Closes: #997294

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 17:12:21 +0100

skesa (2.4.0-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 21:49:56 +0200

skesa (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Created https://github.com/ncbi/SKESA/pull/28 to hopefully avoid
    the hardening patch.

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 May 2020 20:14:52 +0200
