=== debian/watch ===
Version: 5

Template: Github
Owner: ncbi
Project: SKESA
